Bug 664461 - i2cdetect(8) manpage fixes
i2cdetect(8) manpage fixes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: i2c-tools (Show other bugs)
rawhide
All All
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: ManPageChange, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-20 09:12 EST by John Bradshaw
Modified: 2011-04-18 16:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-18 14:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
i2cdetect(8) patch (772 bytes, patch)
2010-12-20 09:12 EST, John Bradshaw
no flags Details | Diff

  None (edit)
Description John Bradshaw 2010-12-20 09:12:04 EST
Created attachment 469764 [details]
i2cdetect(8) patch

Description of problem:
Spelling fixes for i2cdetect(8)
/usr/share/man/man8/i2cdetect.8.gz 


Version-Release number of selected component (if applicable):
lm_sensors-2.10.7-9.el5


How reproducible:
Always

Steps to Reproduce:
1. man 8 i2cdetect
  

Actual results / Expected results / Additional info:
See patch
Comment 1 Ondrej Vasik 2011-03-09 15:34:01 EST
Moving this bug to Fedora as agreed with the reporter. I apologize if the manpage typo/grammar error was already fixed in version included in the Fedora, if that's the case, feel free to close the bug.
Comment 2 Nikola Pajkovsky 2011-03-10 05:41:17 EST
Thanks for your time to report, but neither rhel >= 5 nor feroda is already fixed.

For rhel5:
$ grep busses i2cdetect.8 
should correspond to one of the busses listed by \fIi2cdetect -l\fR.
Output a list of installed busses.

For rhel6 and all fedoras
$ find -name 'i2c*'

There is no such a file. Hence it's fixed.
Comment 3 Hans de Goede 2011-03-10 06:18:39 EST
(In reply to comment #2)
> Thanks for your time to report, but neither rhel >= 5 nor feroda is already
> fixed.
> 
> For rhel5:
> $ grep busses i2cdetect.8 
> should correspond to one of the busses listed by \fIi2cdetect -l\fR.
> Output a list of installed busses.
> 
> For rhel6 and all fedoras
> $ find -name 'i2c*'
> 
> There is no such a file. Hence it's fixed.

This is not correct, i2cdetect is still around, but it is part of i2c-tools now, re-opening and changing component.
Comment 4 Hans de Goede 2011-03-10 06:21:48 EST
Note, not sure of the patch is correct, see:
http://answers.yahoo.com/question/index?qid=20071216082739AAfkxnm
Comment 5 John Bradshaw 2011-03-10 18:08:51 EST
Not sure, busses just looks wrong to my UK English brain (and firefox's spell checker doesn't like it either).

Can't think of any other nouns ending in s that change to "ses" in the plural form... http://www.theenglishspace.com/spelling/plurals-ending-s.html and others suggest it's always add "es".

On the other hand /usr/share/dict/words has busses but it also has buss which is a singular kiss according to the yahoo article linked to above.

Do what you think is best or toss a coin :-)
Comment 6 Adam Jackson 2011-04-18 14:42:48 EDT
"busses" is common in electrical engineering jargon.
Comment 7 John Bradshaw 2011-04-18 16:34:47 EDT
I'm an EE, it's "buses" here :-(

Note You need to log in before you can comment on or make changes to this bug.